package coloreti.network.messages;

import java.util.ArrayList;

import coloreti.data.PlayerStateData;

public class PlayerStateMessage extends Message 
{
	private long remainingTime;
	private ArrayList<PlayerStateData> playerData;
	
	public PlayerStateMessage(int senderId) {
		super(senderId);
		playerData = new ArrayList<PlayerStateData>();
	}

	/**
	 * Gets the player state data array
	 * @return The player data array
	 */
	public ArrayList<PlayerStateData> getPlayerData()
	{
		return playerData;
	}

	/**
	 * @param remainingTime the remainingTime to set
	 */
	public void setRemainingTime(long remainingTime) {
		this.remainingTime = remainingTime;
	}

	/**
	 * @return the remainingTime
	 */
	public long getRemainingTime() {
		return remainingTime;
	}
	
}
