package coloreti.network.messages;

public class TextMessage extends Message 
{
	
	public TextMessage(int senderId) 
	{
		super(senderId);
	}

	private String text;

	/**
	 * Gets the text contained in this message
	 * @return
	 */
	public String getText() 
	{
		return text;
	}

	/**
	 * Sets the text in this message
	 * @param text
	 */
	public void setText(String text) 
	{
		this.text = text;
	}
	
	@Override
	public String toString()
	{
		return "Text from " + getSenderId() + ": " + text;
	}
	
	
}
